{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="row">
                        <div class="col-3">
                            <div class="card d-flex justify-content-center">
                                <div class="card-body">                                                                                                            
                                    <img class="card-img-top p-3" style="height: 380px;" src="{% static 'dist/img/emisora.svg' %}" alt="img de emisora">                                                                                                            
                                </div>
                            </div>
                        </div>

                        <div class="col-8">
                            <form method="post">
                                {% csrf_token %}

                                <!-- Input addon -->
                                <!-- card -->
                                <div class="card">

                                    {% if obj %}
                                    <div class="card-warning">
                                        {% else %}
                                        <div class="card-success">
                                            {% endif %}

                                            <div class="card-header">
                                                <h3 class="card-title text-uppercase">Emisoras</h3>
                                            </div>

                                            <!-- card-body -->
                                            <div class="card-body">

                                                <!-- fila 1 -->
                                                <div class="row mt-2">
                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_nombre"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">NOMBRE:
                                                                <i class="fa fa-asterisk badge-warning"></i>
                                                            </label>
                                                            {{ form.nombre }}
                                                        </div>
                                                    </div>

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_ssid"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">{{ form.ssid.label }}:
                                                            </label>
                                                            {{ form.ssid }}
                                                        </div>
                                                    </div>      

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_direccion_mac"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">{{ form.direccion_mac.label }}:
                                                            </label>
                                                            {{ form.direccion_mac }}
                                                        </div>
                                                    </div>                                                    
                                                    
                                                </div>

                                                <!-- fila 2 -->
                                                <div class="row mt-2">                                                     
                                                    
                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_direccion_ip"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;"><i class="fa fa-network-wired"></i>
                                                                DIRECCIÓN IP:
                                                            </label>
                                                            {{ form.direccion_ip }}
                                                        </div>
                                                    </div>

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_ip_externa"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">
                                                                ANCHO DE CANAL:
                                                            </label>
                                                            {{ form.ancho_de_canal }}
                                                        </div>
                                                    </div>

                                                    <div class="col-4">
                                                        <div class="form-group">
                                                            <label for="id_frecuencia"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">FRECUENCIA:
                                                            </label>
                                                            {{ form.frecuencia }}
                                                        </div>
                                                    </div> 

                                                </div>

                                                <!-- fila 3 -->
                                                <div class="row mt-2">                                                    
                                                    <div class="col-1"></div>                                                    
                                                        
                                                    <div class="col-5">
                                                        <div class="form-group">
                                                            <label for="id_ubicacion"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">UBICACIÓN:
                                                            </label>
                                                            {{ form.ubicacion }}
                                                        </div>
                                                    </div>   

                                                    <div class="col-5">
                                                        <div class="form-group">
                                                            <label for="id_notas"
                                                                class="text-sm text-uppercase text-black-50"
                                                                style="font-family: Arial, Helvetica, sans-serif;">NOTAS:
                                                            </label>
                                                            {{ form.notas }}
                                                        </div>
                                                    </div>   
                                                                                                       
                                                    <div class="col-1"></div>
                                                </div>

                                                <div class="dropdown-divider"></div>
                                                <div class="row"> 
                                                    <div class="col-2"></div>      

                                                    <div class="col-4">
                                                        <button type="submit" class="btn btn-success btn-block"><i
                                                            class="fa fa-save"></i><span> Guardar</span>
                                                        </button>
                                                    </div>

                                                    <div class="col-4">
                                                        <a href="{% url 'app_equipos:emisoras_list' %}"
                                                            class="btn btn-info btn-block"><i class="fas fa-window-close"></i><span> Cancelar</span>
                                                        </a>
                                                    </div> 
                                                    
                                                    <div class="col-2"></div>      
                                                </div>

                                            </div>
                                            <!-- /.card-body -->
                                        </div>
                                        <!-- /.card-header -->
                                    </div>
                                </div>
                            </div>
                        <!-- /.card -->
                        </form>
                        <!-- ./form -->
                    </div>
                </div>
            </div>
        </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}


{% block js_page %}
<!-- jQuery -->
<script src="{% static 'plugins/jquery/jquery.min.js' %}"></script>
<!-- Bootstrap 4 -->
<script src="{% static 'plugins/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
{% endblock js_page %}